# Add a participation key to the node

## POST

/v2/participation

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Request Body required

The participation key to add to the node

Select media type application/msgpack

string format: binary

## Responses

### 200

Participation ID of the submission

Select media type application/json

**partId**  
required  
Encoding of the participation ID.

string

### 400

Bad Request

Select media type application/json

An error response with optional data field.

**data**  
object

**message**  
required  
string

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

**data**  
object

**message**  
required  
string

### 404

Participation Key Not Found

Select media type application/json

An error response with optional data field.

**data**  
object

**message**  
required  
string

### 500

Internal Error

Select media type application/json

An error response with optional data field.

**data**  
object

**message**  
required  
string

### 503

Service Temporarily Unavailable

Select media type application/json

An error response with optional data field.

**data**  
object

**message**  
required  
string

### default

Unknown Error
